Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
vmware-modules-238.3 doesn't build with gentoo-sources 2.6
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
platojones
Veteran
Veteran


Joined: 23 Oct 2002
Posts: 1595
Location: Just over the horizon

PostPosted: Fri Nov 19, 2010 10:52 pm    Post subject: vmware-modules-238.3 doesn't build with gentoo-sources 2.6 Reply with quote

Anyone know where we are supposed to file bug reports for the vmware overlay? I just tried upgrading the newest vmware-modules from the vmware overlay and it doesn't build with gentoo-sources 2.6.36-r1 because of some (seemingly old) patches. I commented those out and it built fine, but I'd like to notify the package dev about the issue.
Back to top
View user's profile Send private message
chiefbag
Guru
Guru


Joined: 01 Oct 2010
Posts: 542
Location: The Kingdom

PostPosted: Fri Nov 19, 2010 11:55 pm    Post subject: Reply with quote

No need for the overlay anymore. vmware and vmware-modules are now in main portage.
There may be a fetch restriction on vmware.
Make sure you reboot with your new kernel before trying to rebuild the modules against the kernel.
Also make sure you have Virtualisation disabled in the kernel.
Back to top
View user's profile Send private message
platojones
Veteran
Veteran


Joined: 23 Oct 2002
Posts: 1595
Location: Just over the horizon

PostPosted: Sat Nov 20, 2010 12:09 am    Post subject: Reply with quote

Only the older versions (6 & below) are in portage. I just upgraded to vmware-workstation 7. It and the newest required modules are only in the vmware overlay.
Back to top
View user's profile Send private message
Shining Arcanine
Veteran
Veteran


Joined: 24 Sep 2009
Posts: 1110

PostPosted: Sat Nov 20, 2010 4:41 am    Post subject: Re: vmware-modules-238.3 doesn't build with gentoo-sources 2 Reply with quote

platojones wrote:
Anyone know where we are supposed to file bug reports for the vmware overlay? I just tried upgrading the newest vmware-modules from the vmware overlay and it doesn't build with gentoo-sources 2.6.36-r1 because of some (seemingly old) patches. I commented those out and it built fine, but I'd like to notify the package dev about the issue.


It looks like the maintainer fixed it. Unfortunately, his fix introduced a file size mismatch issue.

https://bugs.gentoo.org/show_bug.cgi?id=346143
Back to top
View user's profile Send private message
playmiac
n00b
n00b


Joined: 08 Nov 2005
Posts: 18

PostPosted: Sat Nov 20, 2010 10:45 am    Post subject: Reply with quote

Even with the newest overlay version mine fails, error is the following:

Code:
  MODULEBUILDDIR= modules
make[1]: Entering directory `/usr/src/linux-2.6.36-gentoo-r1'
make[1]: warning: jobserver unavailable: using -j1.  Add `+' to parent make rule.
  CC [M]  /var/tmp/paludis/app-emulation-vmware-modules-238.3/work/vmmon-only/linux/driver.o
  CC [M]  /var/tmp/paludis/app-emulation-vmware-modules-238.3/work/vmmon-only/linux/iommu.o
  CC [M]  /var/tmp/paludis/app-emulation-vmware-modules-238.3/work/vmmon-only/linux/hostif.o
/var/tmp/paludis/app-emulation-vmware-modules-238.3/work/vmmon-only/linux/hostif.c: In function 'HostIFDoIoctl':
/var/tmp/paludis/app-emulation-vmware-modules-238.3/work/vmmon-only/linux/hostif.c:3706: error: 'const struct file_operations' has no member named 'ioctl'
/var/tmp/paludis/app-emulation-vmware-modules-238.3/work/vmmon-only/linux/hostif.c:3710: error: 'const struct file_operations' has no member named 'ioctl'
make[1]: Leaving directory `/usr/src/linux-2.6.36-gentoo-r1'
make[3]: *** [/var/tmp/paludis/app-emulation-vmware-modules-238.3/work/vmmon-only/linux/hostif.o] Error 1
make[2]: *** [_module_/var/tmp/paludis/app-emulation-vmware-modules-238.3/work/vmmon-only] Error 2
make[1]: *** [sub-make] Error 2
make: *** [vmmon.ko] Error 2
/usr/libexec/paludis/utils/emake: emake returned error 2

!!! ERROR in app-emulation/vmware-modules-238.3::vmware:
!!! In linux-mod_src_compile at line 4345
!!! Unable to emake HOSTCC=x86_64-pc-linux-gnu-gcc CROSS_COMPILE=x86_64-pc-linux-gnu- LDFLAGS=   auto-build VMWARE_VER=VME_V65 KERNEL_DIR=/usr/src/linux KBUILD_OUTPUT=/lib/modules/2.6.36-gentoo-r1/build

!!! Call stack:
!!!    * linux-mod_src_compile (/var/tmp/paludis/app-emulation-vmware-modules-238.3/temp/loadsaveenv:4345)
!!!    * src_compile (/var/tmp/paludis/app-emulation-vmware-modules-238.3/temp/loadsaveenv:5435)
!!!    * ebuild_f_compile (/usr/libexec/paludis/2/src_compile.bash:56)
!!!    * ebuild_main (/usr/libexec/paludis/ebuild.bash:647)
!!!    * main (/usr/libexec/paludis/ebuild.bash:675)

diefunc: making ebuild PID 4170 exit with error
die trap: exiting with error.


platojones: Which patches did you disable?

Quote:
I just tried upgrading the newest vmware-modules from the vmware overlay and it doesn't build with gentoo-sources 2.6.36-r1 because of some (seemingly old) patches. I commented those out and it built fine, but I'd like to notify the package dev about the issue.


The new ebuild has these disabled:
Code:
        #epatch "${FILESDIR}/apic.patch"
        #kernel_is ge 2 6 35 && epatch "${FILESDIR}/iommu_map.patch"
        #kernel_is ge 2 6 35 && epatch "${FILESDIR}/sk_sleep.patch"
Back to top
View user's profile Send private message
platojones
Veteran
Veteran


Joined: 23 Oct 2002
Posts: 1595
Location: Just over the horizon

PostPosted: Sat Nov 20, 2010 1:34 pm    Post subject: Re: vmware-modules-238.3 doesn't build with gentoo-sources 2 Reply with quote

Shining Arcanine wrote:

It looks like the maintainer fixed it. Unfortunately, his fix introduced a file size mismatch issue.

https://bugs.gentoo.org/show_bug.cgi?id=346143


Thanks, that answered my question. It looks like people are using gentoo bugzilla to report issues with the vmware overlay.

playmiac,

Yep, those are the 2 is I commented out as well (since they were the ones that caused the build to fail). I just created a 238.3-r0 ebuild in my local overlay and commented those 2 patches out. It built fine and it's been rock solid since then. Looks like all he needs to do is fix the file size issue and it's all sorted out.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum